YepAPI
YouTube API

Channel Playlists

List playlists from a YouTube channel.

POST/v1/youtube/channel-playlists
$0.01/call

Usage

const res = await fetch('https://api.yepapi.com/v1/youtube/channel-playlists', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ id: 'UCAuUUnT6oDeKwE6v1NGQxug' }),
});
const { data } = await res.json();
console.log(data.data, data.continuation);
curl -X POST https://api.yepapi.com/v1/youtube/channel-playlists \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id": "UCAuUUnT6oDeKwE6v1NGQxug"}'

Request Body

ParameterTypeRequiredDescriptionDefault
idstringYesYouTube channel ID
tokenstringNoPagination token
geostringNoCountry code for geo-specific results
langstringNoLanguage code

Response

{
  "ok": true,
  "data": {
    "meta": {
      "channelId": "UCAuUUnT6oDeKwE6v1NGQxug"
    },
    "data": [
      {
        "type": "playlist",
        "playlistId": "PLrAXtmErZgO...",
        "title": "The Most Popular TED Talks of All Time",
        "videoCount": "25",
        "thumbnail": [
          { "url": "https://i.ytimg.com/vi/abc123/hqdefault.jpg", "width": 168, "height": 94 }
        ]
      }
    ],
    "continuation": "4qmF..."
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.metaobjectChannel metadata
data.meta.channelIdstringUnique YouTube channel identifier
data.dataobject[]Array of playlist objects
data.data[].typestringContent type (typically playlist)
data.data[].playlistIdstringUnique YouTube playlist identifier
data.data[].titlestringPlaylist title
data.data[].videoCountstringNumber of videos in the playlist
data.data[].thumbnailobject[]Playlist cover thumbnail images
data.continuationstringToken to fetch the next page of results

On this page